OpenNMS API 1.2.9

## org.opennms.report.datablock
Class Node

    java.lang.Object
      org.opennms.report.datablock.StandardNamedObject
          org.opennms.report.datablock.Node

public class Node
extends StandardNamedObject

This class holds the interface whaich has service information and list of outages for the service.

Author:
  Jacinta Remedios , oculan.com

Nested Class Summary
`private static class` `Node.InterfaceComparator`

Field Summary
`private static java.lang.String` `LOG4J_CATEGORY` The log4j category used to log debug messsages and statements.
`(package private) long` `m_busDownTime` Total Business Outage
`(package private) long` `m_busTotalWindow` Total Window Time during business hours.
`(package private) long` `m_downTime` Total Outage
`private boolean` `m_hasOutage` Flag indicating an Outage
`private java.util.ArrayList` `m_interfaces` List of outages.
`(package private) int` `m_nodeid` Node identifier.
`(package private) double` `m_percentAvail` Percentage availability.
`(package private) double` `m_percentBusAvail` Percentage availability during business hours.
`(package private) int` `m_serviceCount` Number of Interface/Service combinations
`(package private) long` `m_totalWindow` Total Window Time.

Fields inherited from class org.opennms.report.datablock.StandardNamedObject
``

Constructor Summary
`Node()` Default Constructor.
`Node(java.util.ArrayList interfaces)` Constructor that sets the outages.
`Node(java.lang.String name, java.util.ArrayList interfaces, int id)` Constructor that sets the name and the outages.
`Node(java.lang.String name, int id)` Constructor that initialises the nodeid.

Method Summary
`void` `addInterface(java.lang.String intfname)` Add Interface with interface name.
`void` `addInterface(java.lang.String intfname, java.lang.String service)` Add an Interface with interface and service name.
`void` `addInterface(java.lang.String intfname, java.lang.String service, long lost)` Add Interface with interface name, service id, lost time.
`void` `addInterface(java.lang.String intfname, java.lang.String service, long lost, long regained)` Adds Interface with interface name, service id, lost time, regained time.
`long` `getBusDownTime()` Returns the total outage on the node during business hours.
`long` `getBusTotalWindow()` Returns the total window for this node during business hours.
`long` `getDownTime()` Returns the total outage on the node.
`Interface` `getInterface(java.lang.String intfname)` Searches the list of interfaces and returns the interface object with name intfname.
`int` `getInterfaceCount()` Returns the number of interfaces.
`java.util.ArrayList` `getInterfaces()` Return the interfaces
`int` `getNodeID()` Return the nodeid
`long` `getOutage(long endTime, long rollingWindow)` Get the outage for this node.
`double` `getPercentAvail()` Returns the percentage availability on the node.
`double` `getPercentAvail(long endTime, long rollingWindow)` Computes the availability of the node.
`double` `getPercentBusAvail()` Returns the percentage availability on the node during business hours.
`int` `getServiceAffectCount()` Returns the service affected count.
`int` `getServiceCount()` Returns the number of unique interface/service combinations.
`long` `getTotalWindow()` Returns the total window for this node.
`boolean` `hasOutages()` Indicates whether the node has outages.
`java.lang.String` `toString()` Returns the string that displays the Node/Interface/Service/Outages combinations.

Methods inherited from class org.opennms.report.datablock.StandardNamedObject
`getName, setName`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### LOG4J_CATEGORY

    private static final java.lang.String LOG4J_CATEGORY

  The log4j category used to log debug messsages and statements.

  See Also:
    Constant Field Values

### m_interfaces

    private java.util.ArrayList m_interfaces

  List of outages.

### m_hasOutage

    private boolean m_hasOutage

  Flag indicating an Outage

### m_downTime

    long m_downTime

  Total Outage

### m_totalWindow

    long m_totalWindow

  Total Window Time.

### m_busDownTime

    long m_busDownTime

  Total Business Outage

### m_busTotalWindow

    long m_busTotalWindow

  Total Window Time during business hours.

### m_percentAvail

    double m_percentAvail

  Percentage availability.

### m_percentBusAvail

    double m_percentBusAvail

  Percentage availability during business hours.

### m_serviceCount

    int m_serviceCount

  Number of Interface/Service combinations

### m_nodeid

    int m_nodeid

  Node identifier.

Constructor Detail

### Node

    public Node()

  Default Constructor.

### Node

    public Node(java.lang.String name,
                int id)

  Constructor that initialises the nodeid.

### Node

    public Node(java.lang.String name,
                java.util.ArrayList interfaces,
                int id)

  Constructor that sets the name and the outages.

Parameters:
  `name` - Name of the service.
  `interfaces` - interfaces to be set for this node.
  `id` - node id.

### Node

    public Node(java.util.ArrayList interfaces)

  Constructor that sets the outages.

Parameters:
  `interfaces` - Interfaces for this node to be set.

Method Detail

### hasOutages

    public boolean hasOutages()

  Indicates whether the node has outages.

  Returns:
    True if has outages.

### getDownTime

    public long getDownTime()

  Returns the total outage on the node.

  Returns:
    The down time.

### getBusDownTime

    public long getBusDownTime()

  Returns the total outage on the node during business hours.

  Returns:
    The business hours down time.

### getPercentAvail

    public double getPercentAvail()

  Returns the percentage availability on the node.

  Returns:
    The percentage availability

### getPercentBusAvail

    public double getPercentBusAvail()

  Returns the percentage availability on the node during business hours.

  Returns:
    The percentage availability during business hours.

### getServiceCount

    public int getServiceCount()

  Returns the number of unique interface/service combinations.

  Returns:
    The service count

### getInterfaceCount

    public int getInterfaceCount()

  Returns the number of interfaces.

  Returns:
    The interface count

### getBusTotalWindow

    public long getBusTotalWindow()

  Returns the total window for this node during business hours.

  Returns:
    The totals for the business hours window.

### getTotalWindow

    public long getTotalWindow()

  Returns the total window for this node.

  Returns:
    The totals

### getInterfaces

    public java.util.ArrayList getInterfaces()

  Return the interfaces

  Returns:
    A list of interfaces.

### getNodeID

    public int getNodeID()

  Return the nodeid

  Returns:
    This node's id.

### getServiceAffectCount

    public int getServiceAffectCount()

  Returns the service affected count.

  Returns:
    The number of affected services.

### addInterface

    public void addInterface(java.lang.String intfname)

  Add Interface with interface name.

  Parameters:
    `intfname` - interface name Checks if the interface with name intfname exists. If not, adds a new interface with name intfname.

### addInterface

    public void addInterface(java.lang.String intfname,
                             java.lang.String service)

  Add an Interface with interface and service name.

  Parameters:
    `intfname` - interface name
    `service` - service name Checks if the interface with name intfname exists. If so, adds service to that interface. Otherwise, adds a new interface with name intfname and service.

### addInterface

    public void addInterface(java.lang.String intfname,
                             java.lang.String service,
                             long lost)

  Add Interface with interface name, service id, lost time.

  Parameters:
    `intfname` - Interface name
    `service` - Service name
    `lost` - Lost time Checks if the interface with name intfname exists. If so, adds service to that interface. Otherwise, adds a new interface with name intfname and service, and adds an outage with losttime as lost.

### getInterface

    public Interface getInterface(java.lang.String intfname)

  Searches the list of interfaces and returns the interface object with name intfname.

  Returns:
    Interface with name intfname

### addInterface

    public void addInterface(java.lang.String intfname,
                             java.lang.String service,
                             long lost,
                             long regained)

  Adds Interface with interface name, service id, lost time, regained time.

  Parameters:
    `intfname` - Interface name
    `service` - Service name
    `lost` - Lost time
    `regained` - Regained time. Checks if the interface with name intfname exists. If so, adds service to that interface. Otherwise, adds a new interface with name intfname and service, and adds an outage with losttime as lost and regained time as regained.

### getPercentAvail

    public double getPercentAvail(long endTime,
                                  long rollingWindow)

  Computes the availability of the node. The rolling window (in milliseconds)

  Parameters:
    `endTime` - End Time of the rolling window in milliseconds.
  Returns:
    percentage availability of node for the last week.

### getOutage

    public long getOutage(long endTime,
                          long rollingWindow)

  Get the outage for this node.

  Returns:
    The outage time.

### toString

    public java.lang.String toString()

  Returns the string that displays the Node/Interface/Service/Outages combinations.

  Returns:
    The string representation.

OpenNMS API 1.2.9

Generated by ranger on May 19 2007 2335.